Subject: bug#70907: [PATCH] Render using Haunt; per dthompson's recommendation.

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 09 Mar 2025 15:13:15 +0900

Hi Felix,

"Thompson, David" <[email-masked]> writes:

> Hi,
>
> On Mon, May 13, 2024 at 6:09 AM Arun Isaac <[email-masked]> wrote:
>>
>>
>> Hi Felix,
>>
>> > Per a conversation with David on IRC, it's better to serve UTF-8
>> > directly instead of transcoding to HTML entities.
>>
>> I agree. But I don't want mumi to depend on haunt, a static site
>> generator. It feels like too large of a dependency. Could we achieve the
>> same effect using sxml->html from guile-lib? If not, could we patch
>> guile-lib to that effect?
>
> Feel free to just snarf the relevant code from haunt if it's useful to
> you. No need to add a hard dependency.

Would you mind to do this and submit a v2?  It's suboptimal, but you
could add a TODO mentioning that this fragment of Haunt should be
re-homed somewhere suitable such as the guile-lib library.

-- 
Thanks,
Maxim